import * as React from 'react';
import {
  Menu,
  Header,
  Container,
  Popup,
  Image,
} from 'semantic-ui-react';
import Notification from '@overflow/notification/react/Notification';


export class LogoBar extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  public handleLogoClick = () => {
    alert('handleLogoClick');
  }

  public handleNotiClick = () => {
    alert('handleNotiClick');
  }

  public render(): JSX.Element {
    return (
      <Container fluid style={{ background: '#f8f8f8', 'paddingRight': '7px' }}>
        <Menu borderless secondary >
          <Menu.Item name='logo'>
            {/*<Image src='../asset/image/overFlow_CI_blue_180.png'
            style={{width:'120px'}} onClick={this.handleLogoClick} /> */}
          </Menu.Item>
          <Popup trigger={<Menu.Item
            position='right'
            icon='bell'
          />}
            on='click' wide >
            <Notification />
          </Popup>

        </Menu>
      </Container>
    );
  }
}



